dcop Library: DCOPArg Class Reference (dcop Library)

| # dcop Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DCOPArg Class Reference

A generic DCOP argument. More...

`#include <dcopref.h>`

Collaboration diagram for DCOPArg:

[legend]
List of all members.

## Public Member Functions
template<class T>
| DCOPArg (const T &t, const char *tname_arg)
template<class T>
| DCOPArg (const T &t)
## Public Attributes
QByteArray | data
const char * | tname

## Detailed Description

A generic DCOP argument.

This class allows you to use user-defined argument types for DCOPRef::call() or DCOPRef::send().

See also:
  DCOPRef::call()

  DCOPRef

  DCOPReply

Since:
  3.1

Definition at line 120 of file dcopref.h.

## Constructor & Destructor Documentation

template<class T>
DCOPArg::DCOPArg | ( | const T & | t,
|  | const char * | tname_arg
| ) | `[inline]`

  | Creates a DCOPArg for DCOPRef::call(). Parameters:
  | t | the data that will be written to a QDataStream. It must overload writing to a QDataStream using the "<<" operator
  | tname_arg | the name of the data that will appear in the function's signature
Definition at line 130 of file dcopref.h.

template<class T>
DCOPArg::DCOPArg | ( | const T & | t | ) | `[inline]`

  | Creates a DCOPArg for DCOPRef::call(). Parameters:
  | t | the data that will be written to a QDataStream. It must overload writing to a QDataStream using the "<<" operator. The name of the type will be determined by calling the function dcopTypeName(T) that must be provided by you.
Definition at line 144 of file dcopref.h.

## Member Data Documentation

QByteArray DCOPArg::data

| The serialized data. Definition at line 152 of file dcopref.h.

const char* DCOPArg::tname

| The signature type name of the data. Definition at line 154 of file dcopref.h.

The documentation for this class was generated from the following file:

- dcopref.h

This file is part of the documentation for dcop Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:16:56 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003